Loading...
Searching...
No Matches
pappso::FilterHighPass Class Reference

remove datapoints below or equal to the given Y value (intensity) More...

`#include <filterpass.h>`

Inheritance diagram for pappso::FilterHighPass:

## Public Member Functions

| FilterHighPass (double pass_y)
| FilterHighPass (const FilterHighPass &other)
virtual | ~FilterHighPass ()
FilterHighPass & | operator= (const FilterHighPass &other)
Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

double | m_passY = 0

## Detailed Description

remove datapoints below or equal to the given Y value (intensity)

Definition at line 57 of file filterpass.h.

## Constructor & Destructor Documentation

## FilterHighPass() [1/2]

FilterHighPass::FilterHighPass | ( | double | pass_y | ) |

Definition at line 72 of file filterpass.cpp.

: m_passY(pass_y)
{
}
pappso::FilterHighPass::m_passY
double m_passY
Definition filterpass.h:60

References m_passY.

Referenced by FilterHighPass(), and operator=().

## FilterHighPass() [2/2]

FilterHighPass::FilterHighPass | ( | const FilterHighPass & | other | ) |

Definition at line 75 of file filterpass.cpp.

: m_passY(other.m_passY)
{
}

References FilterHighPass(), and m_passY.

## ~FilterHighPass()

virtual pappso::FilterHighPass::~FilterHighPass | ( |  | ) |

inline virtual

Definition at line 65 of file filterpass.h.

{};

## Member Function Documentation

## filter()

Trace & FilterHighPass::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 89 of file filterpass.cpp.

{
Trace new_data_points;
for(auto &&data_point : data_points)
{
if(data_point.y > m_passY)
{
new_data_points.push_back(data_point);
}
}
data_points = std::move(new_data_points);
return data_points;
}

References m_passY.

## operator=()

FilterHighPass & FilterHighPass::operator= | ( | const FilterHighPass & | other | ) |

Definition at line 80 of file filterpass.cpp.

{
m_passY = other.m_passY;
return *this;
}

References FilterHighPass(), and m_passY.

## Member Data Documentation

## m_passY

double pappso::FilterHighPass::m_passY = 0

private

Definition at line 60 of file filterpass.h.

Referenced by FilterHighPass(), FilterHighPass(), filter(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/filters/filterpass.h
- pappsomspp/core/processing/filters/filterpass.cpp